diff -urN dspam-devel/Makefile dspam-devel.devel/Makefile
--- dspam-devel/Makefile	Fri Jul  9 20:42:32 2004
+++ dspam-devel.devel/Makefile	Wed Jul 21 01:11:16 2004
@@ -1,21 +1,24 @@
-# New ports collection makefile for:	dspam
-# Date created:			3 August 2003
-# Whom:				Dominic Marks <dom@wirespeed.org.uk>
+# New ports collection makefile for:	dspam-devel
+# Date created:		24 Jun 2004
+# Whom:			Ion-Mihai "IOnut" Tetcu <itetcu@people.tecnik93.com>
 #
 # $FreeBSD: ports/mail/dspam-devel/Makefile,v 1.19 2004/07/09 17:42:32 marcus Exp $
 #
 
-PORTNAME=	dspam
-PORTVERSION=	3.0.0
+PORTNAME=	dspam-devel
+PORTVERSION=	3.0.0.20040624.0425
 CATEGORIES=	mail
-MASTER_SITES=	http://www.nuclearelephant.com/projects/dspam/sources/
+MASTER_SITES=	http://www.nuclearelephant.com/projects/dspam/sources/ \
+		http://people.tecnik93.com/~itetcu/dspam-devel/sources/
+DISTFILES=	dspam-${PORTVERSION}.tar.gz
 
-MAINTAINER=	rob@debank.tv
-COMMENT=	A server-side bayesian spam filter
+MAINTAINER=	itetcu@people.tecnik93.com
+COMMENT=	Bayesian spam filter - development version
+
+WRKSRC=		${WRKDIR}/dspam-${PORTVERSION}
 
 ## debug / log options
-OPTIONS=	NO_CONFLICTS "DO NOT conflict with dspam-2.x" off
-OPTIONS+=	DEBUG "Enable debug in DSPAM_HOME/dspam.debug" on
+OPTIONS=	DEBUG "Enable debug in DSPAM_HOME/dspam.debug" on
 OPTIONS+=	VERBOSE_DEBUG "Enable verbose debug" on
 OPTIONS+=	USER_LOGGING	"Log mail in DSPAM_HOME/data/user/user.log" on
 OPTIONS+=	SYSTEM_LOGGING	"Log some info DSPAM_HOME/system.log" on
@@ -45,6 +48,7 @@
 OPTIONS+=	POSTGRESQL74 "Use PostgreSQL v.7.4 as back-end" off
 #OPTIONS+=	PGSQL_INSTALLED "You have the client installed" on
 OPTIONS+=	ORACLE "Use Oracle as back-end (BROKEN)" off
+OPTIONS+=	SQLITE "BETA: Use SQLite as back-end" off
 OPTIONS+=	VIRT_USERS "Enable virtual users (needs SQL back-end)" off
 OPTIONS+=	LONG_USERNAMES "Usernames longer that OS supports" off
 OPTIONS+=	LARGE_SCALE "File structure for large scale" off
@@ -55,10 +59,11 @@
 OPTIONS+=	PROCMAIL "Use Procmail as local delivery agent" off
 OPTIONS+=	SENDMAIL_LDA "Use Sendmail as local delivery agent" off
 OPTIONS+=	SENDMAIL "Play nice with sendmail server" off
+OPTIONS+=	POSTFIX_MBC "Dspam as mailbox_command in Postfix" off
 OPTIONS+=	QMAIL "Play nice with Qmail mail server" off
 OPTIONS+=	BROKEN_ERR_CODES "99=spam, 0=not, other=error (qmailish)" off
 OPTIONS+=	BROKEN_MTA "Enable if MTA pases ^M to dspam" off
-OPTIONS+=	CGI "Install CGI (pulls in apache)" off
+#OPTIONS+=	CGI "Install CGI (pulls in apache)" off
 
 USE_GNOME=	pkgconfig
 USE_INC_LIBTOOL_VER=13
@@ -68,56 +73,55 @@
 CONFIGURE_ENV=	LDFLAGS="-L${LOCALBASE}/lib"
 CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
 
+CONFLICTS=	dspam-2* dspam-3*
+
 SED_SCRIPT=	-e 's,%%DOCSDIR%%,${DOCSDIR},g' \
 		-e 's,%%EXAMPLESDIR%%,${EXAMPLESDIR},g' \
-		-e 's,%%LOCALBASE%%,${LOCALBASE},g'
+		-e 's,%%LOCALBASE%%,${LOCALBASE},g' \
+		-e 's,%%PREFIX%%,${PREFIX},g'
 
-WITH_SIGNATURE_LIFE?=	28
+WITH_SIGNATURE_LIFE?=	15
 
 .include <bsd.port.pre.mk>
 
-.if !defined(WITH_NO_CONFLICTS)
-CONFLICTS=	dspam-2*
-.endif
-
-.if defined(WITHOUT_DEBUG)
-CONFIGURE_ARGS+=	--disable-debug
-.else
+.if defined(WITH_DEBUG)
 CONFIGURE_ARGS+=	--enable-debug
+.else
+CONFIGURE_ARGS+=	--disable-debug
 .endif
 
-.if defined(WITHOUT_VERBOSE_DEBUG)
-CONFIGURE_ARGS+=	--disable-verbose-debug
-.else
+.if defined(WITH_VERBOSE_DEBUG)
 CONFIGURE_ARGS+=	--enable-verbose-debug
+.else
+CONFIGURE_ARGS+=	--disable-verbose-debug
 .endif
 
-.if defined(WITHOUT_SYSTEM_LOGGING)
-CONFIGURE_ARGS+=	--disable-system-logging
-.else
+.if defined(WITH_SYSTEM_LOGGING)
 CONFIGURE_ARGS+=	--enable-logging
+.else
+CONFIGURE_ARGS+=	--disable-system-logging
 .endif
 
-.if defined(WITHOUT_USER_LOGGING)
-CONFIGURE_ARGS+=	--disable-user-logging
-.else
+.if defined(WITH_USER_LOGGING)
 CONFIGURE_ARGS+=	--enable-user-logging
+.else
+CONFIGURE_ARGS+=	--disable-user-logging
 .endif
 
-.if !defined(WITHOUT_SAT)
+.if defined(WITH_SAT)
 CONFIGURE_ARGS+=	--enable-source-address-tracking
 .endif
 
-.if defined(WITHOUT_TRAD_BAYES)
-CONFIGURE_ARGS+=	--disable-traditional-bayesian
-.else
+.if defined(WITH_TRAD_BAYES)
 CONFIGURE_ARGS+=	--enable-traditional-bayesian
+.else
+CONFIGURE_ARGS+=	--disable-traditional-bayesian
 .endif
 
-.if defined(WITHOUT_ALT_BAYES)
-CONFIGURE_ARGS+=	--disable-alternative-bayesian
-.else
+.if defined(WITH_ALT_BAYES)
 CONFIGURE_ARGS+=	--enable-alternative-bayesian
+.else
+CONFIGURE_ARGS+=	--disable-alternative-bayesian
 .endif
 
 .if defined(WITH_RNB)
@@ -138,10 +142,10 @@
 CONFIGURE_ARGS+=	 --disable-robinson-pvalues
 .endif
 
-.if defined(WITHOUT_TEST_COND)
-CONFIGURE_ARGS+=	 --disable-test-conditional
-.else
+.if defined(WITH_TEST_COND)
 CONFIGURE_ARGS+=	 --enable-test-conditional
+.else
+CONFIGURE_ARGS+=	 --disable-test-conditional
 .endif
 
 .if defined(WITH_NO_BIAS)
@@ -193,15 +197,17 @@
 PLIST_SUB+=	DB4="@comment "
 PLIST_SUB+=	MYSQL=""
 PLIST_SUB+=	PGSQL="@comment "
+PLIST_SUB+=	SQLITE="@comment "
 SED_SCRIPT+=	-e 's,%%MYSQL%%,,g'
 SED_SCRIPT+=	-e '/%%PGSQL%%/D'
+SED_SCRIPT+=	-e '/%%SQLITE%%/D'
 .if defined(WITH_MYSQL_COMPRESS)
 CONFIGURE_ARGS+=	--enable-client-compression
 .endif
 .endif
 
 .if defined(WITH_POSTGRESQL73)
-LIB_DEPENDS+=	pq.3:${PORTSDIR}/databases/postgresql73
+LIB_DEPENDS=	pq.3:${PORTSDIR}/databases/postgresql73
 #BUILD_DEPENDS= ${LIB_DEPENDS}
 CONFIGURE_ARGS+=	--with-storage-driver=pgsql_drv \
 		--with-pgsql-includes=${LOCALBASE}/include \
@@ -209,12 +215,14 @@
 PLIST_SUB+=	DB4="@comment "
 PLIST_SUB+=	MYSQL="@comment "
 PLIST_SUB+=	PGSQL=""
+PLIST_SUB+=	SQLITE="@comment "
 SED_SCRIPT+=	-e '/%%MYSQL%%/D'
 SED_SCRIPT+=	-e 's,%%PGSQL%%,,g'
+SED_SCRIPT+=	-e '/%%SQLITE%%/D'
 .endif
 
 .if defined(WITH_POSTGRESQL74)
-LIB_DEPENDS+=	ecpg.4:${PORTSDIR}/databases/postgresql7
+LIB_DEPENDS=	ecpg.4:${PORTSDIR}/databases/postgresql7
 #BUILD_DEPENDS=	${LIB_DEPENDS}
 CONFIGURE_ARGS+=	--with-storage-driver=pgsql_drv \
 		--with-pgsql-includes=${LOCALBASE}/include \
@@ -222,29 +230,51 @@
 PLIST_SUB+=	DB4="@comment "
 PLIST_SUB+=	MYSQL="@comment "
 PLIST_SUB+=	PGSQL=""
+PLIST_SUB+=	SQLITE="@comment "
 SED_SCRIPT+=	-e '/%%MYSQL%%/D'
 SED_SCRIPT+=	-e 's,%%PGSQL%%,,g'
+SED_SCRIPT+=	-e '/%%SQLITE%%/D'
 .endif
 
 .if defined(WITH_ORACLE)
-BUILD_DEPENDS+=	${LOCALBASE}/oracle7/rdbms/lib/libnlsrtl3.a:${PORTSDIR}/databases/oracle7-client
+BUILD_DEPENDS=	${LOCALBASE}/oracle7/rdbms/lib/libnlsrtl3.a:\
+	${PORTSDIR}/databases/oracle7-client
 CONFIGURE_ARGS+=	--with-storage-driver=ora_drv \
 		--with-oracle-home=	${LOCALBASE}/oracle7
 .endif
 
+.if defined(WITH_SQLITE)
+LIB_DEPENDS+=	sqlite.2:${PORTSDIR}/databases/sqlite
+CONFIGURE_ARGS+=	--with-storage-driver=sqlite_drv \
+	--with-sqlite-includes=${LOCALBASE}/include \
+	--with-sqlite-libraries=${LOCALBASE}/lib
+PLIST_SUB+=	DB4="@comment "
+PLIST_SUB+=	MYSQL="@comment "
+PLIST_SUB+=	PGSQL="@comment "
+PLIST_SUB+=	SQLITE=""
+SED_SCRIPT+=	-e '/%%MYSQL%%/D'
+SED_SCRIPT+=	-e '/%%PGSQL%%/D'
+SED_SCRIPT+=	-e 's,%%SQLITE%%,,g'
+.endif
+
 .if defined(WITH_VIRT_USERS)
 CONFIGURE_ARGS+=	--enable-virtual-users
 #NEED_M_P=. @${TRUE}
 .endif
 
-.if !(defined(WITH_MYSQL) || defined(WITH_POSTGRESQL73) || defined(WITH_POSTGRESQL74) || defined(WITH_ORACLE))
+.if !(defined(WITH_MYSQL) || defined(WITH_POSTGRESQL73) || \
+	defined(WITH_POSTGRESQL74) || defined(WITH_ORACLE) || \
+	defined(WITH_SQLITE))
 LIB_DEPENDS+=	db41.1:${PORTSDIR}/databases/db41
-CONFIGURE_ARGS+=	--with-db4-includes=${LOCALBASE}/include/db41
+CONFIGURE_ARGS+=	--with-storage-driver=libdb4_drv \
+	--with-db4-includes=${LOCALBASE}/include/db41
 PLIST_SUB+=	DB4=""
 PLIST_SUB+=	MYSQL="@comment "
 PLIST_SUB+=	PGSQL="@comment "
+PLIST_SUB+=	SQLITE="@comment "
 SED_SCRIPT+=	-e '/%%MYSQL%%/D'
 SED_SCRIPT+=	-e '/%%PGSQL%%/D'
+SED_SCRIPT+=	-e '/%%SQLITE%%/D'
 .endif
 
 .if defined(WITH_LONG_USERNAMES)
@@ -279,6 +309,13 @@
 CONFIGURE_ARGS+=	--with-dspam-mode=4511
 .endif
 
+.if defined(WITH_POSTFIX_MBC)
+CONFIGURE_ARGS+=	--with-dspam-mode=4511
+SED_SCRIPT+=	-e 's,%%POSTFIX_MBC%%,,g'
+.else
+SED_SCRIPT+=	-e '/%%POSTFIX_MBC%%/D'
+.endif
+
 .if defined(WITH_QMAIL)
 CONFIGURE_ARGS+=	--with-dspam-mode=4511
 .endif
@@ -288,19 +325,18 @@
 .endif
 
 .if defined(DSPAM_HOME)
-CONFIGURE_ARGS+=--with-dspam-home=${DSPAM_HOME}
+CONFIGURE_ARGS+=	--with-dspam-home=${DSPAM_HOME}
 .else
-CONFIGURE_ARGS+=--with-dspam-home=${PREFIX}/etc/dspam
+CONFIGURE_ARGS+=	--with-dspam-home=${PREFIX}/etc/dspam
 .endif
 
-#  --with-dspam-home=DIR	  Specify directory where per-user dictionaries
-#  --with-dspam-home-mode=MODE   Set access mode for DSPAM_HOME
-#  --with-dspam-home-owner=OWNER  Set owner for DSPAM_HOME
-#  --with-dspam-home-group=GROUP  Set group for DSPAM_HOME
+.if defined(DSPAM_OWNER)
+CONFIGURE_ARGS+=	--with-dspam-home-owner=${DSPAM_OWNER}
+.endif
 
-#  --with-dspam-mode=MODE         Set access mode for dspam binary
-#  --with-dspam-owner=OWNER       Set owner for dspam binary
-#  --with-dspam-group=GROUP       Set group for dspam binary
+.if defined(DSPAM_GROUP)
+CONFIGURE_ARGS+=	--with-dspam-home-group=${DSPAM_GROUP}
+.endif
 
 .if defined(WITH_BROKEN_MTA)
 CONFIGURE_ARGS+=	--enable-broken-mta
@@ -315,21 +351,22 @@
 .endif
 
 .if defined(WITH_CGI)
-RUN_DEPENDS+=	${LOCALBASE}/etc/apache/httpd.conf:${PORTSDIR}/${APACHE_PORT}
+RUN_DEPENDS=	${LOCALBASE}/etc/apache/httpd.conf:${PORTSDIR}/${APACHE_PORT}
 .endif
 
-MAN1=	dspam.1 dspam_clean.1 dspam_corpus.1 dspam_dump.1 dspam_merge.1 dspam_stats.1
+MAN1=	dspam.1 dspam_clean.1 dspam_corpus.1 dspam_dump.1 dspam_merge.1 \
+	dspam_stats.1
 
 DOCS=	CHANGELOG README LICENSE RELEASE.NOTES
 
-pre-everything::
-	@${SH} ${PKGINSTALL} ${PORTNAME} PRE-INSTALL
+#pre-everything::
+#	@${SH} ${PKGINSTALL} ${PORTNAME} PRE-INSTALL
 
 post-patch:
 	@${REINPLACE_CMD} -e 's|%%LIBTOOLFLAGS%%|${LIBTOOLFLAGS}|g ; \
 		s|-ldb-4.1|-ldb41|g' ${WRKSRC}/configure
 	@${REINPLACE_CMD} -e 's|(libdir)/pkgconfig|(prefix)/libdata/pkgconfig|' \
-		${WRKSRC}/Makefile.in
+	${WRKSRC}/Makefile.in
 
 pre-configure:
 .if defined(WITH_MAILDROP) && (defined(WITH_PROCMAIL) || defined(WITH_SENDMAIL_LDA))
@@ -344,7 +381,8 @@
 	@${ECHO_CMD} "You need MySQL or POSTGRESQL to use neural networking."
 	@${FALSE}
 .endif
-.if defined(WITH_VIRT_USERS) && !(defined(WITH_MYSQL) || defined(WITH_POSTGRESQL) || defined(WITH_ORACLE))
+.if defined(WITH_VIRT_USERS) && !(defined(WITH_MYSQL) || \
+	defined(WITH_POSTGRESQL) || defined(WITH_ORACLE))
 	@${ECHO_CMD} "You need MySQL, POSTGRESQL or ORACLE for virtual users."
 	@${FALSE}
 .endif
@@ -362,6 +400,15 @@
 	cd ${WRKSRC}/tools.pgsql_drv && \
 		${INSTALL_DATA} README *.sql ${EXAMPLESDIR}/pgsql
 	${INSTALL_DATA} ${FILESDIR}/pgsql.data ${EXAMPLESDIR}/pgsql
+.endif
+.if defined(WITH_SQLITE)
+	${MKDIR} ${EXAMPLESDIR}/sqlite
+	cd ${WRKSRC}/tools.sqlite_drv && \
+		${INSTALL_DATA} README *.sql ${EXAMPLESDIR}/sqlite
+.endif
+.if defined(WITH_CGI)
+	${MKDIR} ${EXAMPLESDIR}/cgi
+	${INSTALL_DATA} ${FILESDIR}/README.cgi ${EXAMPLESDIR}/cgi
 .endif
 .if !defined(NOPORTDOCS)
 	@${MKDIR} ${DOCSDIR}
diff -urN dspam-devel/distinfo dspam-devel.devel/distinfo
--- dspam-devel/distinfo	Sun Jul  4 14:58:16 2004
+++ dspam-devel.devel/distinfo	Sat Jun 26 02:10:05 2004
@@ -1,2 +1,2 @@
-MD5 (dspam-3.0.0.tar.gz) = f5b568e8fea50faaf4c1fcabee177934
-SIZE (dspam-3.0.0.tar.gz) = 575382
+MD5 (dspam-3.0.0.20040624.0425.tar.gz) = f96de0c1629450d8f3d8c53d5108b403
+SIZE (dspam-3.0.0.20040624.0425.tar.gz) = 588453
diff -urN dspam-devel/files/patch-Makefile.in dspam-devel.devel/files/patch-Makefile.in
--- dspam-devel/files/patch-Makefile.in	Thu Jan  1 02:00:00 1970
+++ dspam-devel.devel/files/patch-Makefile.in	Thu Jun 24 18:38:43 2004
@@ -0,0 +1,11 @@
+--- Makefile.in.orig	Thu Jun 24 18:32:38 2004
++++ Makefile.in	Thu Jun 24 18:37:09 2004
+@@ -242,7 +242,7 @@
+ man_MANS = dspam.1 dspam_stats.1 dspam_corpus.1 dspam_clean.1 dspam_dump.1 \
+   dspam_merge.1
+ 
+-pkgconfigdir = $(libdir)/pkgconfig
++pkgconfigdir = $(prefix)/libdata/pkgconfig
+ pkgconfig_DATA = dspam.pc
+ EXTRA_DIST = autogen.sh RELEASE.NOTES CHANGELOG LICENSE example.c \
+   dspam-button.gif dspam.1 dspam_stats.1 dspam_corpus.1 dspam_clean.1 \
diff -urN dspam-devel/files/patch-configure dspam-devel.devel/files/patch-configure
--- dspam-devel/files/patch-configure	Sun Jul  4 14:58:16 2004
+++ dspam-devel.devel/files/patch-configure	Fri Jan  9 00:44:52 2004
@@ -1,6 +1,6 @@
---- configure.orig	Sat Jul  3 14:18:37 2004
-+++ configure	Sat Jul  3 14:18:57 2004
-@@ -19272,7 +19272,8 @@
+--- configure.orig	Wed Nov 26 14:35:34 2003
++++ configure	Thu Dec 11 14:00:18 2003
+@@ -7548,7 +7548,8 @@
  
  
  # This can be used to rebuild libtool when needed
diff -urN dspam-devel/pkg-install dspam-devel.devel/pkg-install
--- dspam-devel/pkg-install	Sun Jul  4 14:58:16 2004
+++ dspam-devel.devel/pkg-install	Thu Jan  1 02:00:00 1970
@@ -1,61 +0,0 @@
-#!/bin/sh
-
-# $FreeBSD: ports/mail/dspam-devel/pkg-install,v 1.1 2004/07/04 11:58:16 pav Exp $
-
-PATH=/bin:/usr/sbin
-
-upgradewarning() {
-	echo "
-
-	=======================================================================
-	Note for upgraders from dspam 2.x:
-	- DSPAM v3.0 has moved many features out to the commandline.
-	- Other configure-time arguments have also been changed or removed.
-	- The stucture of the database (MySQL, Oracle) has changed; if you use
-	one of this the PKGMESSAGE will tell you what do do.
-
-	While this port tries his best to help you with the upgrade, be sure
-	to read the section UPGRADING of 1.1 INSTALLATION - UPGRADING from
-	%%PORTDOCS%%/%%DOCSDIR%%/README. Because of the command line changes you
-	risk to have all you mails going to the bit bucket with NO WARNING.
-	
-	Do not continue to install this port without shutting down your MTA
-	and/or disableing dspam (if you are installing in the same place).
-	If you whant to test the new version, install with PREFIX != /usr/local 
-	and choose WITH_NO_CONFLICT in the OPTIONS menu; otherwise if you have 
-	dspam-2.x this port will refuse to install.
-	========================================================================
-"
-        sleep 3
-}
-
-featurewarning() {
-	echo "
-	
-	Known issues:
-	- WITH_ORACLE does not configure.
-	- the new POP3 Proxy integration is not yet handled by this port
-	- due to the removal of postgress client port from the Ports Tree
-	if you choose WITH_POSTRESQL Postgresql 7.3 will be installed; if you
-	plan to use a server on another machine do:
-		1. Hit Ctrl+C now.
-		2. Go in databases/postgresql73 and make -DWITHOUT_SERVER install
-		3. Come back here and make install
-	- the cgi part is really untested and requires more work
-	- some changes from rc2 are not merged yet.
-	- no supplimantary {platform|MTA|LDA,etc.} documentaion is in yet
-	- qmail dspam-filter (http://sourceforge.net/projects/dspam-filter/)
-	is not yet integrated.
-	"
-	sleep 8
-}
-
-case $2 in
-PRE-INSTALL)
-	upgradewarning
-	featurewarning
-	;;
-UPGRADEWARNING)
-	upgradewarning
-	;;
-esac
diff -urN dspam-devel/pkg-message dspam-devel.devel/pkg-message
--- dspam-devel/pkg-message	Tue Jul  6 17:43:28 2004
+++ dspam-devel.devel/pkg-message	Sat Jun 26 06:31:56 2004
@@ -1,26 +1,38 @@
 
---------------------------------------------------------------------
+-------------------------------------------------------------------------------
 
- See the file %%DOCSDIR%%/README for advice about
- how to configure DSPAM with your MTA. Examples are provided for
- sendmail, postfix, exim and courier MTAs.
+ See the file %%DOCSDIR%%/README for advice about 
+ how to configure DSPAM with your MTA. Examples are provided for sendmail, 
+ postfix, exim and courier MTAs.
+
+%%POSTFIX_MBC%%
+%%POSTFIX_MBC%% Quick Postfix setup guide:
+%%POSTFIX_MBC%% Add root, postfix and cgiuser to %%PREFIX%%/etc/dspam/trusted.users
+%%POSTFIX_MBC%% (Do NOT add --user $USER to the call of dspam binary)
+%%POSTFIX_MBC%% In main.cf set 
+%%POSTFIX_MBC%%  mailbox_command = %%PREFIX%%/bin/dspam --mode=teft --deliver=innocent,spam --feature=chained,noise -d %u
+%%POSTFIX_MBC%% And don't forget to set
+%%POSTFIX_MBC%% %%PREFIX%%/etc/dspam/untrusted.mailer_args
+%%POSTFIX_MBC%% (for mail.local it could be /usr/libexec/mail.local -s %u)
+%%POSTFIX_MBC%%
 
  Note that man entries have been added for all dspam binaries.
 
 %%MYSQL%%
-%%MYSQL%% See %%EXAMPLESDIR%%/README
+%%MYSQL%% See %%EXAMPLESDIR%%/mysql/README
 %%MYSQL%% for instructions on how to configure MySQL
 %%MYSQL%% for use with DSPAM.
 %%MYSQL%%
-%%MYSQL%% %%EXAMPLESDIR%%/mysql.data
+%%MYSQL%% %%EXAMPLESDIR%%/mysql/mysql.data
 %%MYSQL%% contains an example configuration for use with MySQL.
 %%MYSQL%% Edit and install as
-%%MYSQL%% %%LOCALBASE%%/etc/dspam/mysql.data
+%%MYSQL%% %%PREFIX%%/etc/dspam/mysql.data
 %%MYSQL%% To modify an 2.x database use and use it with dspam 3.x use:
 %%MYSQL%% %%EXAMPLESDIR%%/mysql/2x_to_3x_db.sql
+%%MYSQL%% To modify the existing db and use it with both versions use
 %%MYSQL%%
 %%PGSQL%%
-%%PGSQL%% See %%EXAMPLESDIR%%/README
+%%PGSQL%% See %%EXAMPLESDIR%%/pgsql/README
 %%PGSQL%% for instructions on how to configure PostrgreSQL
 %%PGSQL%% for use with DSPAM.
 %%PGSQL%% [ To add a nice tutorial on this ]
@@ -28,7 +40,38 @@
 %%PGSQL%% %%EXAMPLESDIR%%/pgsql.data
 %%PGSQL%% contains an example configuration for use with PostgreSQL.
 %%PGSQL%% Edit and install as
-%%PGSQL%% %%LOCALBASE%%/etc/dspam/pgsql.data
-%%PGSQL%%
+%%PGSQL%% %%PREFIX%%/etc/dspam/pgsql.data
+%%PGSQL%% 
+%%SQLITE%%
+%%SQLITE%% See %%EXAMPLESDIR%%/sqlite/README
+%%SQLITE%% for suggestion on SQLite back-end. It should work out-of-the-box.
+%%SQLITE%%
+%%SQLITE%% You'll always want to run dspam_clean -p0 and 
+%%SQLITE%% sqlite /path/to/user.sdb < vacuum after a corpusfeed.
+%%SQLITE%% where /path/to/user.sdb would by on a default install: 
+%%SQLITE%% %%LOCALBASE%%/etc/dspam/data/user/user.sdb
+%%SQLITE%% There are  most likely 70%+ junk tokens that need to be removed.
+%%SQLITE%% This will have a HUGE impact on the disk space your db uses.
+%%SQLITE%%
+
+ Last changes in dspam sources (from 3.0.0 release):
+ -fixed a quarantine locking bug where fcntl locking was not waiting for a 
+ lock, but returning a failure immediately if already locked
+ - added a list of arguments DSPAM was configured with to --version output
+ - applied CGI facelift submitted by Craig Hockenberry <craig@iconfactory.com>
+ - fixed a bug that caused encoded, multiline headers to lose any lines of text
+ after the first.
+ - made sqlite_drv the default storage driver (this port still had bdb as 
+ default)
+ - added SQLite storage driver.
+ - fixed configure help text for --enable-webmail, which was mangled
+ - fixed a type-o in admin.cgi where $CONFIG{'LARGE_SCLAE'} = 0;
+
+ ***************************** WARNING: ***************************************
+ Command-line options (and MySQL database structure) has changed.
+ If you are upgrading from 2.x be sure to change the way you are calling
+ dspam binary (for delivery, submitting fp, etc.), otherwise mail
+ will go to the bit-bucket with NO WARNING.
+ *****************************************************************************
 
---------------------------------------------------------------------
+------------------------------------------------------------------------------
diff -urN dspam-devel/pkg-plist dspam-devel.devel/pkg-plist
--- dspam-devel/pkg-plist	Tue Jul  6 17:43:28 2004
+++ dspam-devel.devel/pkg-plist	Sat Jun 26 05:46:33 2004
@@ -24,8 +24,8 @@
 %%PORTDOCS%%%%DOCSDIR%%/README
 %%PORTDOCS%%%%DOCSDIR%%/RELEASE.NOTES
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
-%%MYSQL%%%%EXAMPLESDIR%%/mysql/README
 %%MYSQL%%%%EXAMPLESDIR%%/mysql/2x_to_3x_db.sql
+%%MYSQL%%%%EXAMPLESDIR%%/mysql/README
 %%MYSQL%%%%EXAMPLESDIR%%/mysql/mysql.data
 %%MYSQL%%%%EXAMPLESDIR%%/mysql/mysql_objects.sql.space.optimized
 %%MYSQL%%%%EXAMPLESDIR%%/mysql/mysql_objects.sql.speed.optimized
@@ -40,5 +40,10 @@
 %%PGSQL%%%%EXAMPLESDIR%%/pgsql/virtual_users.sql
 %%PGSQL%%@dirrm %%EXAMPLESDIR%%/pgsql
 %%PGSQL%%@dirrm %%EXAMPLESDIR%%
+%%SQLITE%%%%EXAMPLESDIR%%/sqlite/README
+%%SQLITE%%%%EXAMPLESDIR%%/sqlite/purge.sql
+%%SQLITE%%@dirrm %%EXAMPLESDIR%%/sqlite
+%%SQLITE%%@dirrm %%EXAMPLESDIR%%
 @dirrm include/dspam
 @dirrm etc/dspam
+@dirrm libdata/pkgconfig
